Security Enhanced Linux Reference Policy

# Layer: services

## Module: gpsd

Interfaces

### Description:

gpsd monitor daemon

### Interfaces:

gpsd_domtrans( domain )

##### Summary

Execute a domain transition to run gpsd.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

gpsd_run( domain , role , terminal )

##### Summary

Execute gpsd in the gpsd domain, and allow the specified role the gpsd domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access
role | The role to be allowed the gpsd domain.
terminal | The type of the role's terminal.

gpsd_rw_shm( domain )

##### Summary

Read and write gpsd shared memory.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return